connectivity-api: connectivityqt::PptpConnection Class Reference

connectivity-api

Classes | Public Types | Public Slots | Signals | Public Member Functions | Protected Attributes | Properties | List of all members
connectivityqt::PptpConnection Class Reference

`#include <connectivityqt/pptp-connection.h>`

Inheritance diagram for connectivityqt::PptpConnection:
[legend]
Collaboration diagram for connectivityqt::PptpConnection:
[legend]

## Classes
class | Priv

## Public Types
enum | MppeType { MppeType::MPPE_ALL, MppeType::MPPE_128, MppeType::MPPE_40 }
Public Types inherited from connectivityqt::VpnConnection
enum | Type { OPENVPN, PPTP }

## Public Slots
void | setGateway (const QString &value)
void | setUser (const QString &value)
void | setPassword (const QString &value)
void | setDomain (const QString &value)
void | setAllowPap (bool value)
void | setAllowChap (bool value)
void | setAllowMschap (bool value)
void | setAllowMschapv2 (bool value)
void | setAllowEap (bool value)
void | setRequireMppe (bool value)
void | setMppeType (MppeType value)
void | setMppeStateful (bool value)
void | setBsdCompression (bool value)
void | setDeflateCompression (bool value)
void | setTcpHeaderCompression (bool value)
void | setSendPppEchoPackets (bool value)
Public Slots inherited from connectivityqt::VpnConnection
void | setId (const QString &id) const
void | setNeverDefault (bool neverDefault) const
void | setActive (bool active) const
void | updateSecrets () const

## Signals
void | gatewayChanged (const QString &value)
void | userChanged (const QString &value)
void | passwordChanged (const QString &value)
void | domainChanged (const QString &value)
void | allowPapChanged (bool value)
void | allowChapChanged (bool value)
void | allowMschapChanged (bool value)
void | allowMschapv2Changed (bool value)
void | allowEapChanged (bool value)
void | requireMppeChanged (bool value)
void | mppeTypeChanged (MppeType value)
void | mppeStatefulChanged (bool value)
void | bsdCompressionChanged (bool value)
void | deflateCompressionChanged (bool value)
void | tcpHeaderCompressionChanged (bool value)
void | sendPppEchoPacketsChanged (bool value)
Signals inherited from connectivityqt::VpnConnection
void | idChanged (const QString &id)
void | neverDefaultChanged (bool neverDefault)
void | activeChanged (bool active)
void | activatableChanged (bool active)
void | remove () const

## Public Member Functions
| UNITY_DEFINES_PTRS (PptpConnection)
| PptpConnection (const QDBusObjectPath &path, const QDBusConnection &connection)
virtual | ~PptpConnection ()
Type | type () const override
QString | gateway () const
QString | user () const
QString | password () const
QString | domain () const
bool | allowPap () const
bool | allowChap () const
bool | allowMschap () const
bool | allowMschapv2 () const
bool | allowEap () const
bool | requireMppe () const
MppeType | mppeType () const
bool | mppeStateful () const
bool | bsdCompression () const
bool | deflateCompression () const
bool | tcpHeaderCompression () const
bool | sendPppEchoPackets () const
Public Member Functions inherited from connectivityqt::VpnConnection
| UNITY_DEFINES_PTRS (VpnConnection)
| VpnConnection (const QDBusObjectPath &path, const QDBusConnection &connection, QObject *parent=0)
virtual | ~VpnConnection ()
QDBusObjectPath | path () const
QString | id () const
bool | neverDefault () const
bool | active () const
bool | activatable () const

## Protected Attributes
std::shared_ptr< Priv > | d
Protected Attributes inherited from connectivityqt::VpnConnection
std::shared_ptr< Priv > | d

## Properties
QString | gateway
QString | user
QString | password
QString | domain
bool | allowPap
bool | allowChap
bool | allowMschap
bool | allowMschapv2
bool | allowEap
bool | requireMppe
MppeType | mppeType
bool | mppeStateful
bool | bsdCompression
bool | deflateCompression
bool | tcpHeaderCompression
bool | sendPppEchoPackets
Properties inherited from connectivityqt::VpnConnection
QDBusObjectPath | path
QString | id
bool | neverDefault
bool | active
bool | activatable
Type | type

## Member Enumeration Documentation

## ◆ MppeType

enum connectivityqt::PptpConnection::MppeType
| strong

Enumerator
MPPE_ALL |
MPPE_128 |
MPPE_40 |

## Constructor & Destructor Documentation

## ◆ PptpConnection()

connectivityqt::PptpConnection::PptpConnection | ( | const QDBusObjectPath & | path,
|  | const QDBusConnection & | connection
| ) |  |

## ◆ ~PptpConnection()

connectivityqt::PptpConnection::~PptpConnection | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ allowChap()

bool connectivityqt::PptpConnection::allowChap | ( |  | ) | const

## ◆ allowChapChanged

void connectivityqt::PptpConnection::allowChapChanged | ( | bool | value | ) |
| signal

## ◆ allowEap()

bool connectivityqt::PptpConnection::allowEap | ( |  | ) | const

## ◆ allowEapChanged

void connectivityqt::PptpConnection::allowEapChanged | ( | bool | value | ) |
| signal

## ◆ allowMschap()

bool connectivityqt::PptpConnection::allowMschap | ( |  | ) | const

## ◆ allowMschapChanged

void connectivityqt::PptpConnection::allowMschapChanged | ( | bool | value | ) |
| signal

## ◆ allowMschapv2()

bool connectivityqt::PptpConnection::allowMschapv2 | ( |  | ) | const

## ◆ allowMschapv2Changed

void connectivityqt::PptpConnection::allowMschapv2Changed | ( | bool | value | ) |
| signal

## ◆ allowPap()

bool connectivityqt::PptpConnection::allowPap | ( |  | ) | const

## ◆ allowPapChanged

void connectivityqt::PptpConnection::allowPapChanged | ( | bool | value | ) |
| signal

## ◆ bsdCompression()

bool connectivityqt::PptpConnection::bsdCompression | ( |  | ) | const

## ◆ bsdCompressionChanged

void connectivityqt::PptpConnection::bsdCompressionChanged | ( | bool | value | ) |
| signal

## ◆ deflateCompression()

bool connectivityqt::PptpConnection::deflateCompression | ( |  | ) | const

## ◆ deflateCompressionChanged

void connectivityqt::PptpConnection::deflateCompressionChanged | ( | bool | value | ) |
| signal

## ◆ domain()

QString connectivityqt::PptpConnection::domain | ( |  | ) | const

## ◆ domainChanged

void connectivityqt::PptpConnection::domainChanged | ( | const QString & | value | ) |
| signal

## ◆ gateway()

QString connectivityqt::PptpConnection::gateway | ( |  | ) | const

## ◆ gatewayChanged

void connectivityqt::PptpConnection::gatewayChanged | ( | const QString & | value | ) |
| signal

## ◆ mppeStateful()

bool connectivityqt::PptpConnection::mppeStateful | ( |  | ) | const

## ◆ mppeStatefulChanged

void connectivityqt::PptpConnection::mppeStatefulChanged | ( | bool | value | ) |
| signal

## ◆ mppeType()

MppeType connectivityqt::PptpConnection::mppeType | ( |  | ) | const

## ◆ mppeTypeChanged

void connectivityqt::PptpConnection::mppeTypeChanged | ( | MppeType | value | ) |
| signal

## ◆ password()

QString connectivityqt::PptpConnection::password | ( |  | ) | const

## ◆ passwordChanged

void connectivityqt::PptpConnection::passwordChanged | ( | const QString & | value | ) |
| signal

## ◆ requireMppe()

bool connectivityqt::PptpConnection::requireMppe | ( |  | ) | const

## ◆ requireMppeChanged

void connectivityqt::PptpConnection::requireMppeChanged | ( | bool | value | ) |
| signal

## ◆ sendPppEchoPackets()

bool connectivityqt::PptpConnection::sendPppEchoPackets | ( |  | ) | const

## ◆ sendPppEchoPacketsChanged

void connectivityqt::PptpConnection::sendPppEchoPacketsChanged | ( | bool | value | ) |
| signal

## ◆ setAllowChap

void connectivityqt::PptpConnection::setAllowChap | ( | bool | value | ) |
| slot

## ◆ setAllowEap

void connectivityqt::PptpConnection::setAllowEap | ( | bool | value | ) |
| slot

## ◆ setAllowMschap

void connectivityqt::PptpConnection::setAllowMschap | ( | bool | value | ) |
| slot

## ◆ setAllowMschapv2

void connectivityqt::PptpConnection::setAllowMschapv2 | ( | bool | value | ) |
| slot

## ◆ setAllowPap

void connectivityqt::PptpConnection::setAllowPap | ( | bool | value | ) |
| slot

## ◆ setBsdCompression

void connectivityqt::PptpConnection::setBsdCompression | ( | bool | value | ) |
| slot

## ◆ setDeflateCompression

void connectivityqt::PptpConnection::setDeflateCompression | ( | bool | value | ) |
| slot

## ◆ setDomain

void connectivityqt::PptpConnection::setDomain | ( | const QString & | value | ) |
| slot

## ◆ setGateway

void connectivityqt::PptpConnection::setGateway | ( | const QString & | value | ) |
| slot

## ◆ setMppeStateful

void connectivityqt::PptpConnection::setMppeStateful | ( | bool | value | ) |
| slot

## ◆ setMppeType

void connectivityqt::PptpConnection::setMppeType | ( | MppeType | value | ) |
| slot

## ◆ setPassword

void connectivityqt::PptpConnection::setPassword | ( | const QString & | value | ) |
| slot

## ◆ setRequireMppe

void connectivityqt::PptpConnection::setRequireMppe | ( | bool | value | ) |
| slot

## ◆ setSendPppEchoPackets

void connectivityqt::PptpConnection::setSendPppEchoPackets | ( | bool | value | ) |
| slot

## ◆ setTcpHeaderCompression

void connectivityqt::PptpConnection::setTcpHeaderCompression | ( | bool | value | ) |
| slot

## ◆ setUser

void connectivityqt::PptpConnection::setUser | ( | const QString & | value | ) |
| slot

## ◆ tcpHeaderCompression()

bool connectivityqt::PptpConnection::tcpHeaderCompression | ( |  | ) | const

## ◆ tcpHeaderCompressionChanged

void connectivityqt::PptpConnection::tcpHeaderCompressionChanged | ( | bool | value | ) |
| signal

## ◆ type()

VpnConnection::Type connectivityqt::PptpConnection::type | ( |  | ) | const
| overridevirtual

Implements connectivityqt::VpnConnection.

## ◆ UNITY_DEFINES_PTRS()

connectivityqt::PptpConnection::UNITY_DEFINES_PTRS | ( | PptpConnection |  | ) |

## ◆ user()

QString connectivityqt::PptpConnection::user | ( |  | ) | const

## ◆ userChanged

void connectivityqt::PptpConnection::userChanged | ( | const QString & | value | ) |
| signal

## Member Data Documentation

## ◆ d

std::shared_ptr<Priv> connectivityqt::PptpConnection::d
| protected

## Property Documentation

## ◆ allowChap

bool connectivityqt::PptpConnection::allowChap
| readwrite

## ◆ allowEap

bool connectivityqt::PptpConnection::allowEap
| readwrite

## ◆ allowMschap

bool connectivityqt::PptpConnection::allowMschap
| readwrite

## ◆ allowMschapv2

bool connectivityqt::PptpConnection::allowMschapv2
| readwrite

## ◆ allowPap

bool connectivityqt::PptpConnection::allowPap
| readwrite

## ◆ bsdCompression

bool connectivityqt::PptpConnection::bsdCompression
| readwrite

## ◆ deflateCompression

bool connectivityqt::PptpConnection::deflateCompression
| readwrite

## ◆ domain

QString connectivityqt::PptpConnection::domain
| readwrite

## ◆ gateway

QString connectivityqt::PptpConnection::gateway
| readwrite

## ◆ mppeStateful

bool connectivityqt::PptpConnection::mppeStateful
| readwrite

## ◆ mppeType

MppeType connectivityqt::PptpConnection::mppeType
| readwrite

## ◆ password

QString connectivityqt::PptpConnection::password
| readwrite

## ◆ requireMppe

bool connectivityqt::PptpConnection::requireMppe
| readwrite

## ◆ sendPppEchoPackets

bool connectivityqt::PptpConnection::sendPppEchoPackets
| readwrite

## ◆ tcpHeaderCompression

bool connectivityqt::PptpConnection::tcpHeaderCompression
| readwrite

## ◆ user

QString connectivityqt::PptpConnection::user
| readwrite

The documentation for this class was generated from the following files:

- connectivityqt/pptp-connection.h
- connectivityqt/pptp-connection.cpp